be.fgov.ehealth.technicalconnector.signature.impl.tsa.impl

## Class TimeStampGeneratorImpl

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.signature.impl.tsa.impl.TimeStampGeneratorImpl

- All Implemented Interfaces:
    ConfigurableImplementation, TimestampGenerator

      public class TimeStampGeneratorImpl
      extends Object
      implements ConfigurableImplementation, TimestampGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeStampGeneratorImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `generate(String requestId, String digestAlgoUri, byte[] digest)`
    `void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeStampGeneratorImpl

          public TimeStampGeneratorImpl()

  - ### Method Detail

    - #### generate

          public byte[] generate(String requestId,
                                 String digestAlgoUri,
                                 byte[] digest)
                          throws TechnicalConnectorException

      Specified by:
        `generate` in interface `TimestampGenerator`
      Throws:
        `TechnicalConnectorException`

    - #### initialize

          public void initialize(Map<String,Object> parameterMap)
                          throws TechnicalConnectorException

      Description copied from interface: `ConfigurableImplementation`
      initializes the implementation with additional parameters.
      Specified by:
        `initialize` in interface `ConfigurableImplementation`
      Parameters:
        `parameterMap` - Map with for each propertyString ,the input parameter as Object.
      Throws:
        `TechnicalConnectorException` - if the parameterMap is not correct.

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.